import sys
import unittest

from squinnondation.squinnondation import Squinnondation


class TestSquinnondation(unittest.TestCase):
    def test_arguments(self):
        """
        Parse arguments and check errors.
        """
        squinnondation = Squinnondation()

        # No parameter was given
        self.assertRaises(SystemExit, squinnondation.parse_arguments)

        # Wrong port
        sys.argv = ["squinnondation", "localhost", "42"]
        self.assertRaises(ValueError, squinnondation.parse_arguments)

        # Esnure that the parsing is correct
        sys.argv = ["squinnondation", "localhost", "4242"]
        squinnondation.parse_arguments()
        self.assertEqual(squinnondation.client_address, "localhost")
        self.assertEqual(squinnondation.client_port, 4242)
